Index: trunk/resources/images/presets/landmark/historic_mine.svg
===================================================================
--- trunk/resources/images/presets/landmark/historic_mine.svg	(revision 16748)
+++ trunk/resources/images/presets/landmark/historic_mine.svg	(revision 16753)
@@ -10,14 +10,43 @@
    xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   version="1.0"
-   width="430"
-   height="430"
+   width="16"
+   height="16"
+   viewBox="0 0 16 16"
    id="svg2"
-   sodipodi:version="0.32"
+   version="1.1"
    inkscape:version="0.92.3 (2405546, 2018-03-11)"
-   sodipodi:docname="historic_mine.svg"
-   inkscape:output_extension="org.inkscape.output.svg.inkscape">
+   sodipodi:docname="historic_mine10.svg">
+  <defs
+     id="defs4" />
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="39.245148"
+     inkscape:cx="8.209609"
+     inkscape:cy="8.5671917"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="1680"
+     inkscape:window-height="987"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
   <metadata
-     id="metadata6">
+     id="metadata7">
     <rdf:RDF>
       <cc:Work
@@ -26,51 +55,34 @@
         <dc:type
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
         <cc:license
-           rdf:resource="http://web.resource.org/cc/PublicDomain" />
-        <dc:title></dc:title>
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
       </cc:Work>
       <cc:License
-         rdf:about="http://web.resource.org/cc/PublicDomain">
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
         <cc:permits
-           rdf:resource="http://web.resource.org/cc/Reproduction" />
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
         <cc:permits
-           rdf:resource="http://web.resource.org/cc/Distribution" />
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
         <cc:permits
-           rdf:resource="http://web.resource.org/cc/DerivativeWorks" />
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
       </cc:License>
     </rdf:RDF>
   </metadata>
-  <sodipodi:namedview
-     inkscape:window-height="987"
-     inkscape:window-width="1680"
-     inkscape:pageshadow="2"
-     inkscape:pageopacity="0.0"
-     guidetolerance="10.0"
-     gridtolerance="10.0"
-     objecttolerance="10.0"
-     borderopacity="1.0"
-     bordercolor="#666666"
-     pagecolor="#ffffff"
-     id="base"
-     inkscape:zoom="0.70807368"
-     inkscape:cx="70.220143"
-     inkscape:cy="387.14826"
-     inkscape:window-x="-8"
-     inkscape:window-y="-8"
-     inkscape:current-layer="svg2"
-     showgrid="false"
-     inkscape:window-maximized="1"
-     inkscape:pagecheckerboard="true" />
-  <defs
-     id="defs4" />
-  <path
-     inkscape:connector-curvature="0"
-     d="m 102.25974,52.737048 c -14.031744,4.81075 -15.586986,6.17631 -18.583819,16.3172 -2.810762,9.51128 -2.809437,10.8384 0.01144,11.42131 1.615526,0.33382 18.301109,17.21221 50.916589,51.504932 26.68249,28.05462 51.92883,54.4988 56.10301,58.76485 5.68824,5.81343 7.38309,8.11953 6.7658,9.20581 -1.74565,3.07182 -74.52754,79.53498 -76.38391,80.24733 -0.7209,0.27663 -2.62095,-0.8883 -4.22235,-2.58877 -3.68792,-3.9161 -21.765187,-28.02959 -32.695131,-43.61244 -4.5976,-6.55482 -8.8822,-11.8698 -9.52134,-11.81107 -0.63913,0.0588 -10.247928,7.35244 -21.352884,16.20826 l -20.190816,16.10151 2.707849,2.38356 c 1.489321,1.31096 6.951995,8.6047 12.139281,16.20828 15.100229,22.13409 31.695288,43.72849 39.966503,52.00662 11.188609,11.19795 74.000918,57.63757 77.958198,57.63757 1.01806,0 6.69269,-6.56346 14.78154,-17.09677 8.97219,-11.68359 13.98652,-17.413 15.83707,-18.09551 1.48935,-0.54931 2.56195,-1.40555 2.38356,-1.90277 -0.17838,-0.49723 -9.97781,-8.17306 -21.77647,-17.05741 -11.79868,-8.88435 -24.53989,-19.01696 -28.31383,-22.51693 -9.90524,-9.18616 -10.36372,-8.08567 13.25114,-31.80676 23.70705,-23.81367 82.80148,-81.09955 141.39187,-137.06463 24.12172,-23.04089 46.89347,-44.794232 50.60385,-48.340752 4.33417,-4.14273 7.53129,-6.44822 8.94205,-6.44822 2.09654,0 2.16595,-0.22546 1.53452,-4.98542 -1.05513,-7.95396 -4.34674,-15.12166 -8.10527,-17.64986 -3.53476,-2.37765 -10.33966,-4.55387 -17.2606,-5.51994 l -4.32941,-0.60433 -56.61015,60.647622 c -31.13559,33.35619 -56.90485,60.5284 -57.265,60.38267 -0.36015,-0.14572 -23.93578,-26.65108 -52.39029,-58.90076 C 140.09824,83.522528 115.258,55.558168 113.35224,53.629208 l -3.46504,-3.50721 z m 128.77189,157.705802 -11.38199,10.76758 34.3437,36.02871 c 28.98844,30.41069 34.34373,36.46012 34.34373,38.79537 0,2.38704 -3.24793,5.79129 -23.67108,24.81039 -13.01909,12.12405 -23.43379,22.42764 -23.14381,22.89686 0.29,0.46922 1.40116,0.85313 2.46928,0.85313 1.21064,0 8.3466,6.10404 18.94838,16.20827 9.35351,8.91455 17.46528,16.20827 18.02617,16.20827 0.56087,0 10.70967,-9.43893 22.55286,-20.97541 22.4619,-21.88015 24.03452,-22.96808 27.56354,-19.06856 0.94912,1.04878 2.41,1.90122 3.24642,1.89432 0.83639,-0.007 4.51903,-2.56159 8.18362,-5.67711 4.25232,-3.61515 7.68409,-5.76652 9.48543,-5.94638 l 2.82255,-0.28182 -3.17888,-3.60987 c -1.74839,-1.98544 -3.32534,-4.86761 -3.5043,-6.40481 -0.28704,-2.46525 0.58825,-3.58575 7.42081,-9.49974 4.26044,-3.68767 8.21908,-6.709 8.797,-6.71407 0.95211,-0.009 43.48691,-82.03462 42.92509,-82.77892 -0.13144,-0.17415 -16.47163,8.34302 -36.31152,18.92704 l -36.07251,19.24368 -10.97874,10.86757 c -6.0383,5.97718 -11.24953,10.8676 -11.58048,10.8676 -0.33097,0 -16.13639,-17.59074 -35.12316,-39.09054 -18.98678,-21.4998 -34.5841,-39.09023 -34.66075,-39.08984 -0.0766,3.8e-4 -5.26126,4.84611 -11.52136,10.76828 z"
-     style="fill:#000000;fill-opacity:1;stroke:#fafafa;stroke-width:38.13711548;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-     id="path1935-3" />
-  <path
-     d="m 102.25974,52.737048 c -14.031744,4.81075 -15.586986,6.17631 -18.583819,16.3172 -2.810762,9.51128 -2.809437,10.8384 0.0114,11.42131 1.615526,0.33382 18.301109,17.21221 50.916589,51.504932 26.68249,28.05462 51.92883,54.4988 56.10301,58.76485 5.68824,5.81343 7.38309,8.11953 6.7658,9.20581 -1.74565,3.07182 -74.52754,79.53498 -76.38389,80.24733 -0.72092,0.27663 -2.62097,-0.8883 -4.22237,-2.58877 -3.68792,-3.9161 -21.765187,-28.02959 -32.695131,-43.61244 -4.5976,-6.55482 -8.8822,-11.8698 -9.52134,-11.81107 -0.63913,0.0588 -10.247928,7.35244 -21.352884,16.20826 l -20.190816,16.10151 2.707849,2.38356 c 1.489321,1.31096 6.951995,8.6047 12.139281,16.20828 15.10023,22.13409 31.695289,43.72849 39.966504,52.00662 11.188608,11.19795 74.000917,57.63757 77.958197,57.63757 1.01806,0 6.69269,-6.56346 14.78154,-17.09677 8.97219,-11.68359 13.98652,-17.413 15.83707,-18.09551 1.48935,-0.54931 2.56195,-1.40555 2.38356,-1.90277 -0.17838,-0.49723 -9.97781,-8.17306 -21.77647,-17.05741 -11.79866,-8.88435 -24.53989,-19.01696 -28.31383,-22.51693 -9.90523,-9.18616 -10.36372,-8.08567 13.25114,-31.80676 23.70705,-23.81367 82.80148,-81.09955 141.39187,-137.06463 24.12172,-23.04089 46.89347,-44.794232 50.60387,-48.340752 4.33415,-4.14273 7.53127,-6.44822 8.94203,-6.44822 2.09654,0 2.16595,-0.22546 1.53452,-4.98542 -1.05513,-7.95396 -4.34674,-15.12166 -8.10527,-17.64986 -3.53476,-2.37765 -10.33966,-4.55387 -17.26058,-5.51994 l -4.32942,-0.60433 -56.61016,60.647622 c -31.13559,33.35619 -56.90484,60.5284 -57.265,60.38267 -0.36015,-0.14572 -23.93578,-26.65108 -52.39029,-58.90076 C 140.0982,83.522528 115.25798,55.558168 113.3522,53.629208 l -3.46504,-3.50721 z m 128.77189,157.705802 -11.38199,10.76758 34.3437,36.02871 c 28.98844,30.41069 34.34373,36.46012 34.34373,38.79537 0,2.38704 -3.24793,5.79129 -23.67108,24.81039 -13.01909,12.12405 -23.43379,22.42764 -23.14381,22.89686 0.29,0.46922 1.40116,0.85313 2.46928,0.85313 1.21064,0 8.3466,6.10404 18.94838,16.20827 9.35351,8.91455 17.46528,16.20827 18.02617,16.20827 0.56087,0 10.70967,-9.43893 22.55286,-20.97541 22.4619,-21.88015 24.03452,-22.96808 27.56354,-19.06856 0.94912,1.04878 2.41,1.90122 3.24642,1.89432 0.83639,-0.007 4.51903,-2.56159 8.18362,-5.67711 4.25232,-3.61515 7.68409,-5.76652 9.48543,-5.94638 l 2.82255,-0.28182 -3.17888,-3.60987 c -1.74839,-1.98544 -3.32534,-4.86761 -3.5043,-6.40481 -0.28704,-2.46525 0.58825,-3.58575 7.42081,-9.49974 4.26044,-3.68767 8.21908,-6.709 8.797,-6.71407 0.95211,-0.009 43.48691,-82.03462 42.92509,-82.77892 -0.13144,-0.17415 -16.47163,8.34302 -36.31152,18.92704 l -36.07251,19.24368 -10.97874,10.86757 c -6.0383,5.97718 -11.24953,10.8676 -11.58048,10.8676 -0.33097,0 -16.13639,-17.59074 -35.12316,-39.09054 -18.98678,-21.4998 -34.5841,-39.09023 -34.66075,-39.08984 -0.0766,3.8e-4 -5.26126,4.84611 -11.52136,10.76828 z"
-     style="fill:#000000;fill-opacity:1;stroke-width:0.95342779"
-     id="path1935"
-     inkscape:connector-curvature="0" />
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1037.3622)">
+    <path
+       inkscape:connector-curvature="0"
+       style="stroke:#fafafa;stroke-width:1.44285405"
+       d="m 3.7398815,1039.2327 c -0.5308678,0.182 -0.5897077,0.2337 -0.7030878,0.6174 -0.1063408,0.3598 -0.1062905,0.41 4.313e-4,0.4321 0.061121,0.013 0.692392,0.6512 1.9263449,1.9485 1.0094879,1.0615 1.9646416,2.0619 2.1225647,2.2233 0.2152052,0.2199 0.2793272,0.3072 0.255973,0.3483 -0.066043,0.1163 -2.8196266,3.0091 -2.8898593,3.0361 -0.027274,0.01 -0.099159,-0.034 -0.1597456,-0.098 -0.1395263,-0.1482 -0.8234498,-1.0605 -1.2369663,-1.65 -0.1739426,-0.248 -0.3360434,-0.4491 -0.3602242,-0.4469 -0.024181,0 -0.3877132,0.2782 -0.807851,0.6133 l -0.7638864,0.6091 0.102447,0.09 c 0.056346,0.05 0.2630176,0.3255 0.4592697,0.6132 0.5712923,0.8375 1.199139,1.6544 1.512067,1.9675 0.4233026,0.4237 2.7997022,2.1807 2.9494194,2.1807 0.038517,0 0.253207,-0.2484 0.5592352,-0.6469 0.3394481,-0.442 0.5291569,-0.6587 0.5991695,-0.6846 0.056347,-0.021 0.096927,-0.053 0.090178,-0.072 -0.00675,-0.019 -0.3774941,-0.3092 -0.8238769,-0.6453 -0.4463835,-0.3361 -0.9284262,-0.7194 -1.071207,-0.8518 -0.3747484,-0.3476 -0.3920943,-0.3059 0.501335,-1.2034 0.8969171,-0.901 3.1326574,-3.0683 5.3493283,-5.1856 0.912606,-0.8718 1.774138,-1.6947 1.914513,-1.8289 0.163976,-0.1567 0.284934,-0.244 0.338308,-0.244 0.07932,0 0.08195,-0.01 0.05805,-0.1886 -0.03992,-0.3009 -0.164453,-0.5721 -0.306649,-0.6677 -0.133733,-0.09 -0.391184,-0.1723 -0.653028,-0.2088 l -0.163796,-0.023 -2.141752,2.2944 c -1.1779624,1.262 -2.1528998,2.2901 -2.1665255,2.2846 -0.013626,-0.01 -0.9055708,-1.0084 -1.9821002,-2.2286 -1.0765291,-1.2199 -2.0163186,-2.2779 -2.0884198,-2.3509 l -0.1310941,-0.1327 z m 4.871872,5.9665 -0.4306187,0.4074 1.2993376,1.3631 c 1.0967286,1.1506 1.2993376,1.3794 1.2993376,1.4678 0,0.09 -0.12288,0.2191 -0.8955561,0.9386 -0.4925551,0.4586 -0.8865787,0.8485 -0.8756076,0.8663 0.010972,0.018 0.05301,0.032 0.093421,0.032 0.045802,0 0.3157794,0.2309 0.7168805,0.6132 0.3538742,0.3373 0.6607702,0.6133 0.6819902,0.6133 0.02122,0 0.405183,-0.3571 0.853251,-0.7937 0.849808,-0.8277 0.909307,-0.8689 1.042821,-0.7214 0.03591,0.04 0.09118,0.072 0.122822,0.072 0.03165,-3e-4 0.17097,-0.097 0.309614,-0.2147 0.16088,-0.1368 0.290716,-0.2183 0.358867,-0.2251 l 0.106787,-0.011 -0.120268,-0.1366 c -0.06615,-0.075 -0.125809,-0.1841 -0.13258,-0.2422 -0.01086,-0.093 0.02225,-0.1357 0.280754,-0.3594 0.161186,-0.1396 0.310955,-0.2538 0.332819,-0.254 0.03602,-4e-4 1.645256,-3.1037 1.624,-3.1318 -0.005,-0.01 -0.623176,0.3155 -1.373785,0.716 l -1.364745,0.7281 -0.415363,0.4111 c -0.228449,0.2262 -0.425606,0.4112 -0.438128,0.4112 -0.01253,0 -0.610493,-0.6656 -1.328827,-1.479 -0.7183328,-0.8134 -1.308432,-1.4789 -1.3113318,-1.4789 -0.0029,10e-5 -0.1990512,0.1834 -0.4358918,0.4074 z"
+       id="path2" />
+    <path
+       inkscape:connector-curvature="0"
+       style="stroke-width:0.03607135"
+       d="m 3.7398815,1039.2327 c -0.5308678,0.182 -0.5897077,0.2337 -0.7030878,0.6174 -0.1063408,0.3598 -0.1062905,0.41 4.313e-4,0.4321 0.061121,0.013 0.692392,0.6512 1.9263449,1.9485 1.0094879,1.0615 1.9646416,2.0619 2.1225647,2.2233 0.2152052,0.2199 0.2793272,0.3072 0.255973,0.3483 -0.066043,0.1163 -2.8196266,3.0091 -2.8898585,3.0361 -0.027275,0.01 -0.09916,-0.034 -0.1597464,-0.098 -0.1395263,-0.1482 -0.8234498,-1.0605 -1.2369663,-1.65 -0.1739426,-0.248 -0.3360434,-0.4491 -0.3602242,-0.4469 -0.024181,0 -0.3877132,0.2782 -0.807851,0.6133 l -0.7638864,0.6091 0.102447,0.09 c 0.056346,0.05 0.2630176,0.3255 0.4592697,0.6132 0.5712923,0.8375 1.199139,1.6544 1.512067,1.9675 0.4233026,0.4237 2.7997022,2.1807 2.9494194,2.1807 0.038517,0 0.253207,-0.2484 0.5592352,-0.6469 0.3394481,-0.442 0.5291569,-0.6587 0.5991695,-0.6846 0.056347,-0.021 0.096927,-0.053 0.090178,-0.072 -0.00675,-0.019 -0.3774941,-0.3092 -0.8238769,-0.6453 -0.4463828,-0.3361 -0.9284262,-0.7194 -1.071207,-0.8518 -0.3747481,-0.3476 -0.3920943,-0.3059 0.501335,-1.2034 0.8969171,-0.901 3.1326574,-3.0683 5.3493283,-5.1856 0.912606,-0.8718 1.774138,-1.6947 1.914514,-1.8289 0.163976,-0.1567 0.284934,-0.244 0.338308,-0.244 0.07932,0 0.08195,-0.01 0.05805,-0.1886 -0.03992,-0.3009 -0.164453,-0.5721 -0.306649,-0.6677 -0.133734,-0.09 -0.391185,-0.1723 -0.653029,-0.2088 l -0.163795,-0.023 -2.141753,2.2944 c -1.1779624,1.262 -2.1528994,2.2901 -2.1665255,2.2846 -0.013626,-0.01 -0.9055708,-1.0084 -1.9821002,-2.2286 -1.0765291,-1.2199 -2.0163178,-2.2779 -2.0884198,-2.3509 l -0.1310942,-0.1327 z m 4.871872,5.9665 -0.4306187,0.4074 1.2993376,1.3631 c 1.0967286,1.1506 1.2993376,1.3794 1.2993376,1.4678 0,0.09 -0.12288,0.2191 -0.8955561,0.9386 -0.4925551,0.4586 -0.8865787,0.8485 -0.8756076,0.8663 0.010972,0.018 0.05301,0.032 0.093421,0.032 0.045802,0 0.3157794,0.2309 0.7168805,0.6132 0.3538742,0.3373 0.6607702,0.6133 0.6819902,0.6133 0.02122,0 0.405183,-0.3571 0.853251,-0.7937 0.849808,-0.8277 0.909307,-0.8689 1.042821,-0.7214 0.03591,0.04 0.09118,0.072 0.122822,0.072 0.03165,-3e-4 0.17097,-0.097 0.309614,-0.2147 0.16088,-0.1368 0.290716,-0.2183 0.358867,-0.2251 l 0.106787,-0.011 -0.120268,-0.1366 c -0.06615,-0.075 -0.125809,-0.1841 -0.13258,-0.2422 -0.01086,-0.093 0.02225,-0.1357 0.280754,-0.3594 0.161186,-0.1396 0.310955,-0.2538 0.332819,-0.254 0.03602,-4e-4 1.645256,-3.1037 1.624,-3.1318 -0.005,-0.01 -0.623176,0.3155 -1.373785,0.716 l -1.364745,0.7281 -0.415363,0.4111 c -0.228449,0.2262 -0.425606,0.4112 -0.438128,0.4112 -0.01253,0 -0.610493,-0.6656 -1.328827,-1.479 -0.7183328,-0.8134 -1.308432,-1.4789 -1.3113318,-1.4789 -0.0029,10e-5 -0.1990512,0.1834 -0.4358918,0.4074 z"
+       id="path4" />
+  </g>
 </svg>
Index: trunk/resources/images/presets/landmark/shieling.svg
===================================================================
--- trunk/resources/images/presets/landmark/shieling.svg	(revision 16748)
+++ trunk/resources/images/presets/landmark/shieling.svg	(revision 16753)
@@ -1,4 +1,4 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Generator: Adobe Illustrator 14.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 43363)  -->
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
 
 <svg
@@ -10,62 +10,84 @@
    xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="12"
+   height="7"
+   viewBox="0 0 12 7"
+   id="svg2"
    version="1.1"
-   id="Ebene_1"
-   x="0px"
-   y="0px"
-   width="12"
-   height="11"
-   viewBox="0 0 12 11"
-   enable-background="new 0 0 16 16"
-   xml:space="preserve"
-   inkscape:version="0.92.5 (2060ec1f9f, 2020-04-08)"
-   sodipodi:docname="shieling.svg"><metadata
-   id="metadata9"><rdf:RDF><cc:Work
-       rdf:about=""><dc:format>image/svg+xml</dc:format><dc:type
-         rdf:resource="http://purl.org/dc/dcmitype/StillImage" /><dc:title /></cc:Work></rdf:RDF></metadata><defs
-   id="defs7" /><sodipodi:namedview
-   pagecolor="#ffffff"
-   bordercolor="#666666"
-   borderopacity="1"
-   objecttolerance="10"
-   gridtolerance="10"
-   guidetolerance="10"
-   inkscape:pageopacity="0"
-   inkscape:pageshadow="2"
-   inkscape:window-width="1868"
-   inkscape:window-height="1016"
-   id="namedview5"
-   showgrid="true"
-   fit-margin-top="0"
-   fit-margin-left="0"
-   fit-margin-right="0"
-   fit-margin-bottom="0"
-   inkscape:zoom="32"
-   inkscape:cx="-6.0653278"
-   inkscape:cy="2.5458654"
-   inkscape:window-x="52"
-   inkscape:window-y="27"
-   inkscape:window-maximized="1"
-   inkscape:current-layer="Ebene_1"><inkscape:grid
-     type="xygrid"
-     id="grid2986"
-     empspacing="5"
-     visible="true"
-     enabled="true"
-     snapvisiblegridlinesonly="true"
-     originx="-3.0000001"
-     originy="2.4192323"
-     spacingx="1"
-     spacingy="1" /></sodipodi:namedview>
-
-<path
-   style="fill:#cccccc;fill-opacity:1;stroke:#000000;stroke-width:0.36984944;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-   d="M 1.9596755,7.5807677 6.4070283,6.8609053 C 6.9951072,6.7657171 6.8596178,3.4366417 5.6962251,3.7996052 0.30169993,5.0257082 0.52509071,6.4012616 0.56348601,6.637685 0.81380056,7.0951227 1.2425309,7.4338747 1.9596755,7.5807677 Z"
-   id="path2984"
-   inkscape:connector-curvature="0"
-   sodipodi:nodetypes="ccccc" /><path
-   style="fill:#a5a5a5;fill-opacity:1;stroke:#000000;stroke-width:0.46970737;stroke-linecap:butt;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-   d="M 4.959433,4.0910306 9.4542951,7.5792113 C 10.048656,8.0404578 12.300314,4.4501284 11,3.7192363 5.2962803,-0.14489537 4.5157904,1.4980815 4.3816434,1.7804676 4.2796863,2.4945223 4.4220737,3.2551407 4.959433,4.0910306 Z"
-   id="path2984-3"
-   inkscape:connector-curvature="0"
-   sodipodi:nodetypes="ccccc" /></svg>
+   inkscape:version="0.92.3 (2405546, 2018-03-11)"
+   sodipodi:docname="shieling10.svg">
+  <defs
+     id="defs4" />
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="36.240086"
+     inkscape:cx="4.8243539"
+     inkscape:cy="2.8581453"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="986"
+     inkscape:window-height="978"
+     inkscape:window-x="685"
+     inkscape:window-y="0"
+     inkscape:window-maximized="0"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1046.3622)">
+    <g
+       transform="matrix(0.99999087,0,0,1.0000003,7.6245974e-5,1045.4627)"
+       style="stroke:#000000"
+       id="g6">
+      <path
+         style="fill:#cccccc;stroke-width:0.369849"
+         inkscape:connector-curvature="0"
+         d="M 1.9596755,7.5807677 6.4070283,6.8609053 C 6.9951072,6.7657171 6.8596178,3.4366417 5.6962251,3.7996052 0.30169993,5.0257082 0.52509071,6.4012616 0.56348601,6.637685 0.81380056,7.0951227 1.2425309,7.4338747 1.9596755,7.5807677 Z"
+         id="path2" />
+      <path
+         style="fill:#a5a5a5;stroke-width:0.46970701"
+         inkscape:connector-curvature="0"
+         d="M 4.959433,4.0910306 9.4542951,7.5792113 C 10.048656,8.0404578 12.300314,4.4501284 11,3.7192363 5.2962803,-0.14489537 4.5157904,1.4980815 4.3816434,1.7804676 4.2796863,2.4945223 4.4220737,3.2551407 4.959433,4.0910306 Z"
+         id="path4" />
+    </g>
+  </g>
+</svg>