Index: trunk/resources/images/dialogs/layerlist/colorfulness.svg
===================================================================
--- trunk/resources/images/dialogs/layerlist/colorfulness.svg	(revision 16875)
+++ trunk/resources/images/dialogs/layerlist/colorfulness.svg	(revision 16875)
@@ -0,0 +1,109 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="24"
+   height="24"
+   viewBox="0 0 24 24"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.92.3 (2405546, 2018-03-11)"
+   sodipodi:docname="colorfulness5.svg">
+  <defs
+     id="defs4">
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient1055">
+      <stop
+         style="stop-color:#009800;stop-opacity:1;"
+         offset="0"
+         id="stop1051" />
+      <stop
+         style="stop-color:#757575;stop-opacity:1"
+         offset="1"
+         id="stop1053" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient1055"
+       id="linearGradient1057"
+       x1="-24"
+       y1="1041.3622"
+       x2="-2"
+       y2="1041.3622"
+       gradientUnits="userSpaceOnUse" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="19.202282"
+     inkscape:cx="10.762939"
+     inkscape:cy="12.574461"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="1680"
+     inkscape:window-height="987"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1029.3622)">
+    <rect
+       style="opacity:1;fill:url(#linearGradient1057);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.89999998;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:1.08000004;stroke-opacity:0.47058824;paint-order:normal"
+       id="rect976"
+       width="24"
+       height="24"
+       x="-24"
+       y="1029.3622"
+       transform="scale(-1,1)" />
+  </g>
+</svg>
Index: trunk/resources/images/dialogs/layerlist/gamma.svg
===================================================================
--- trunk/resources/images/dialogs/layerlist/gamma.svg	(revision 16875)
+++ trunk/resources/images/dialogs/layerlist/gamma.svg	(revision 16875)
@@ -0,0 +1,113 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="24"
+   height="24"
+   viewBox="0 0 24 24"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.92.3 (2405546, 2018-03-11)"
+   sodipodi:docname="gamma3.svg">
+  <defs
+     id="defs4">
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient1055">
+      <stop
+         style="stop-color:#000000;stop-opacity:1"
+         offset="0"
+         id="stop1051" />
+      <stop
+         id="stop1059"
+         offset="0.45833334"
+         style="stop-color:#009800;stop-opacity:1" />
+      <stop
+         style="stop-color:#ffffff;stop-opacity:1"
+         offset="1"
+         id="stop1053" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient1055"
+       id="linearGradient1057"
+       x1="-24"
+       y1="1041.3622"
+       x2="-1"
+       y2="1041.3622"
+       gradientUnits="userSpaceOnUse" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="19.202282"
+     inkscape:cx="10.125781"
+     inkscape:cy="12.115632"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="1680"
+     inkscape:window-height="987"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1029.3622)">
+    <rect
+       style="opacity:1;fill:url(#linearGradient1057);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.89999998;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:1.08000004;stroke-opacity:0.47058824;paint-order:normal"
+       id="rect976"
+       width="24"
+       height="24"
+       x="-24"
+       y="1029.3622"
+       transform="scale(-1,1)" />
+  </g>
+</svg>
Index: trunk/resources/images/dialogs/layerlist/sharpness.svg
===================================================================
--- trunk/resources/images/dialogs/layerlist/sharpness.svg	(revision 16875)
+++ trunk/resources/images/dialogs/layerlist/sharpness.svg	(revision 16875)
@@ -0,0 +1,172 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="24"
+   height="24"
+   viewBox="0 0 24 24"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.92.3 (2405546, 2018-03-11)"
+   sodipodi:docname="sharpness17.svg">
+  <defs
+     id="defs4">
+    <linearGradient
+       id="linearGradient884"
+       inkscape:collect="always">
+      <stop
+         id="stop880"
+         offset="0"
+         style="stop-color:#000000;stop-opacity:0.11764706" />
+      <stop
+         id="stop882"
+         offset="1"
+         style="stop-color:#000000;stop-opacity:1" />
+    </linearGradient>
+    <linearGradient
+       id="linearGradient878"
+       inkscape:collect="always">
+      <stop
+         id="stop874"
+         offset="0"
+         style="stop-color:#000000;stop-opacity:0.11764706" />
+      <stop
+         id="stop876"
+         offset="1"
+         style="stop-color:#000000;stop-opacity:1" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient829">
+      <stop
+         style="stop-color:#000000;stop-opacity:0.11764706"
+         offset="0"
+         id="stop825" />
+      <stop
+         style="stop-color:#000000;stop-opacity:1"
+         offset="1"
+         id="stop827" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient878"
+       id="linearGradient831"
+       x1="0"
+       y1="1040.8622"
+       x2="24"
+       y2="1040.8622"
+       gradientUnits="userSpaceOnUse"
+       gradientTransform="translate(0,1)" />
+    <linearGradient
+       gradientTransform="translate(0,7)"
+       inkscape:collect="always"
+       xlink:href="#linearGradient884"
+       id="linearGradient831-6"
+       x1="0"
+       y1="1040.8622"
+       x2="24"
+       y2="1040.8622"
+       gradientUnits="userSpaceOnUse" />
+    <linearGradient
+       gradientTransform="translate(0,-5)"
+       inkscape:collect="always"
+       xlink:href="#linearGradient829"
+       id="linearGradient831-0"
+       x1="0"
+       y1="1040.8622"
+       x2="24"
+       y2="1040.8622"
+       gradientUnits="userSpaceOnUse" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="15.508094"
+     inkscape:cx="17.903347"
+     inkscape:cy="4.5938168"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="1680"
+     inkscape:window-height="987"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1029.3622)">
+    <rect
+       style="opacity:1;fill:#009800;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.89999998;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:1.08000004;stroke-opacity:0.47058824;paint-order:normal"
+       id="rect976"
+       width="24"
+       height="24"
+       x="-24"
+       y="1029.3622"
+       transform="scale(-1,1)" />
+    <path
+       style="fill:url(#linearGradient831);fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="m 0,1040.3622 21,1 h 3 v 1 h -3 l -21,1 z"
+       id="path823"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="ccccccc" />
+    <path
+       style="fill:url(#linearGradient831-6);fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="m 0,1046.3622 21,1 h 3 v 1 h -3 l -21,1 z"
+       id="path823-3"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="ccccccc" />
+    <path
+       style="fill:url(#linearGradient831-0);fill-opacity:1;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
+       d="m 0,1034.3622 21,1 h 3 v 1 h -3 l -21,1 z"
+       id="path823-5"
+       inkscape:connector-curvature="0"
+       sodipodi:nodetypes="ccccccc" />
+  </g>
+</svg>
Index: trunk/resources/images/dialogs/layerlist/transparency.svg
===================================================================
--- trunk/resources/images/dialogs/layerlist/transparency.svg	(revision 16875)
+++ trunk/resources/images/dialogs/layerlist/transparency.svg	(revision 16875)
@@ -0,0 +1,109 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<!-- Created with Inkscape (http://www.inkscape.org/) -->
+
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:xlink="http://www.w3.org/1999/xlink"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   width="24"
+   height="24"
+   viewBox="0 0 24 24"
+   id="svg2"
+   version="1.1"
+   inkscape:version="0.92.3 (2405546, 2018-03-11)"
+   sodipodi:docname="transparency2.svg">
+  <defs
+     id="defs4">
+    <linearGradient
+       inkscape:collect="always"
+       id="linearGradient1055">
+      <stop
+         style="stop-color:#009800;stop-opacity:1;"
+         offset="0"
+         id="stop1051" />
+      <stop
+         style="stop-color:#009800;stop-opacity:0;"
+         offset="1"
+         id="stop1053" />
+    </linearGradient>
+    <linearGradient
+       inkscape:collect="always"
+       xlink:href="#linearGradient1055"
+       id="linearGradient1057"
+       x1="-24"
+       y1="1041.3622"
+       x2="-1"
+       y2="1041.3622"
+       gradientUnits="userSpaceOnUse" />
+  </defs>
+  <sodipodi:namedview
+     id="base"
+     pagecolor="#ffffff"
+     bordercolor="#666666"
+     borderopacity="1.0"
+     inkscape:pageopacity="0.0"
+     inkscape:pageshadow="2"
+     inkscape:zoom="19.202282"
+     inkscape:cx="14.22538"
+     inkscape:cy="10.637325"
+     inkscape:document-units="px"
+     inkscape:current-layer="layer1"
+     showgrid="true"
+     units="px"
+     inkscape:window-width="1680"
+     inkscape:window-height="987"
+     inkscape:window-x="-8"
+     inkscape:window-y="-8"
+     inkscape:window-maximized="1"
+     viewbox-height="16">
+    <inkscape:grid
+       type="xygrid"
+       id="grid4136"
+       originx="0"
+       originy="0"
+       spacingx="1"
+       spacingy="1" />
+  </sodipodi:namedview>
+  <metadata
+     id="metadata7">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+        <cc:license
+           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
+      </cc:Work>
+      <cc:License
+         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Reproduction" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#Distribution" />
+        <cc:permits
+           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
+      </cc:License>
+    </rdf:RDF>
+  </metadata>
+  <g
+     inkscape:label="Layer 1"
+     inkscape:groupmode="layer"
+     id="layer1"
+     transform="translate(0,-1029.3622)">
+    <rect
+       style="opacity:1;fill:url(#linearGradient1057);fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.89999998;stroke-linecap:round;stroke-linejoin:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:1.08000004;stroke-opacity:0.47058824;paint-order:normal"
+       id="rect976"
+       width="24"
+       height="24"
+       x="-24"
+       y="1029.3622"
+       transform="scale(-1,1)" />
+  </g>
+</svg>
Index: trunk/resources/images/preferences/remotecontrol.svg
===================================================================
--- trunk/resources/images/preferences/remotecontrol.svg	(revision 16871)
+++ trunk/resources/images/preferences/remotecontrol.svg	(revision 16875)
@@ -69,25 +69,4 @@
    xlink:href="#SVGID_3_" />
 			</clipPath>
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
-			
 		</defs><sodipodi:namedview
    pagecolor="#ffffff"
@@ -112,17 +91,4 @@
      type="xygrid"
      id="grid857" /></sodipodi:namedview>
-<style
-   type="text/css"
-   id="style2">
-	.st0{clip-path:url(#SVGID_2_);}
-	.st1{clip-path:url(#SVGID_4_);fill:#666666;}
-	.st2{clip-path:url(#SVGID_4_);fill:none;stroke:#808080;stroke-miterlimit:10;}
-	.st3{clip-path:url(#SVGID_4_);fill:#BC1E1E;}
-	.st4{clip-path:url(#SVGID_4_);fill:#4BD113;}
-	.st5{clip-path:url(#SVGID_4_);fill:#C2C61E;}
-	.st6{clip-path:url(#SVGID_4_);fill:#1C50B7;}
-	.st7{clip-path:url(#SVGID_4_);fill:#4D4D4D;}
-	.st8{clip-path:url(#SVGID_4_);fill:none;stroke:#FFFFFF;stroke-width:2;stroke-miterlimit:10;}
-</style>
 <rect
    style="opacity:1;fill:#727272;fill-opacity:1;fill-rule:nonzero;stroke:none;stroke-width:1.62044501;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.83990926;stroke-opacity:1;paint-order:normal"
Index: trunk/resources/images/presets/emergency/aed.svg
===================================================================
--- trunk/resources/images/presets/emergency/aed.svg	(revision 16871)
+++ trunk/resources/images/presets/emergency/aed.svg	(revision 16875)
@@ -4,12 +4,4 @@
 <svg xmlns="http://www.w3.org/2000/svg" xmlns:odm="http://product.corel.com/CGS/11/cddns/" xml:space="preserve" width="600px" height="600px" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd"
      viewBox="0 0 600 600">
- <defs>
-  <style type="text/css">
-   <![CDATA[
-    .fil0 {fill:#FFFFFF}
-    .fil1 {fill:#009A3B}
-   ]]>
-  </style>
- </defs>
  <g id="Ebene 1">
   <rect fill="#FFFFFF" x="0" y="0" width="600" height="600"/>
Index: trunk/resources/images/presets/misc/angles.svg
===================================================================
--- trunk/resources/images/presets/misc/angles.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/angles.svg	(revision 16875)
@@ -40,9 +40,3 @@
     <text sodipodi:linespacing="125%" id="text3833" y="330.77792" x="252.0183" style="font-size:20px;font-style:normal;font-variant:normal;font-weight:normal;font-stretch:normal;text-align:start;line-height:125%;letter-spacing:0px;word-spacing:0px;writing-mode:lr-tb;text-anchor:start;fill:#666666;fill-opacity:1;stroke:none;font-family:Arial" xml:space="preserve"><tspan y="330.77792" x="252.0183" id="tspan3835" sodipodi:role="line">337, NNW</tspan></text>
   </g>
-<style id="stylish-2" class="stylish" type="text/css">@namespace url(http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul);
-.findbar-container &gt; *{
-  display:-moz-box!important;
-}
-.findbar-container .findbar-textbox{
-  width:450px!important;
-}</style></svg>
+</svg>
Index: trunk/resources/images/presets/misc/information/audioguide.svg
===================================================================
--- trunk/resources/images/presets/misc/information/audioguide.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/information/audioguide.svg	(revision 16875)
@@ -92,14 +92,4 @@
        id="grid815" />
   </sodipodi:namedview>
-  <defs
-     id="defs4">
-    <style
-       id="style6"
-       type="text/css">
-   
-    .fil0 {fill:#EF7900}
-   
-  </style>
-  </defs>
   <rect
      style="fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:12.73160267;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
Index: trunk/resources/images/presets/misc/information/board.svg
===================================================================
--- trunk/resources/images/presets/misc/information/board.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/information/board.svg	(revision 16875)
@@ -51,21 +51,4 @@
  <defs
    id="defs4">
-  <style
-   type="text/css"
-   id="style6">
-   <![CDATA[
-    .str2 {stroke:#84C225;stroke-width:0.0762}
-    .str0 {stroke:#84C225;stroke-width:0.2}
-    .str1 {stroke:white;stroke-width:0.2}
-    .fil0 {fill:#84C225}
-    .fil1 {fill:white}
-    .fil2 {fill:#84C225;fill-rule:nonzero}
-   ]]>
-  </style>
- 
-  
-  
-  
-  
   <sodipodi:namedview
    height="360px"
Index: trunk/resources/images/presets/misc/information/information.svg
===================================================================
--- trunk/resources/images/presets/misc/information/information.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/information/information.svg	(revision 16875)
@@ -92,14 +92,4 @@
        id="grid815" />
   </sodipodi:namedview>
-  <defs
-     id="defs4">
-    <style
-       id="style6"
-       type="text/css">
-   
-    .fil0 {fill:#EF7900}
-   
-  </style>
-  </defs>
   <rect
      style="fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:12.73160267;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0;stroke-opacity:1"
Index: trunk/resources/images/presets/misc/information/informationoffice.svg
===================================================================
--- trunk/resources/images/presets/misc/information/informationoffice.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/information/informationoffice.svg	(revision 16875)
@@ -43,18 +43,4 @@
      type="xygrid"
      id="grid4135" /></sodipodi:namedview>
- <defs
-   id="defs4">
-  <style
-   type="text/css"
-   id="style6">
-   <![CDATA[
-    .str0 {stroke:white;stroke-width:0.2}
-    .fil0 {fill:#DA251D}
-   ]]>
-  </style>
- 
-  
-  
- </defs>
  <rect
    style="opacity:1;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:1;stroke-linecap:round;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-dashoffset:0.60000002;stroke-opacity:1"
Index: trunk/resources/images/presets/misc/information/map.svg
===================================================================
--- trunk/resources/images/presets/misc/information/map.svg	(revision 16871)
+++ trunk/resources/images/presets/misc/information/map.svg	(revision 16875)
@@ -49,19 +49,4 @@
      type="xygrid"
      id="grid4140" /></sodipodi:namedview>
- <defs
-   id="defs4">
-  <style
-   type="text/css"
-   id="style6">
-   <![CDATA[
-    .str2 {stroke:#84C225;stroke-width:0.0762}
-    .str0 {stroke:#84C225;stroke-width:0.2}
-    .str1 {stroke:white;stroke-width:0.2}
-    .fil0 {fill:#84C225}
-    .fil1 {fill:white}
-    .fil2 {fill:#84C225;fill-rule:nonzero}
-   ]]>
-  </style>
- </defs>
  <g
    id="Ebene_x0020_1"