Index: trunk/resources/images/presets/shop/charity.svg
===================================================================
--- trunk/resources/images/presets/shop/charity.svg	(revision 16855)
+++ trunk/resources/images/presets/shop/charity.svg	(revision 16930)
@@ -1,5 +1,3 @@
 <?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<!-- Created with Inkscape (http://www.inkscape.org/) -->
-
 <svg
    xmlns:dc="http://purl.org/dc/elements/1.1/"
@@ -10,43 +8,39 @@
    xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
    xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
-   width="13"
-   height="16"
-   viewBox="0 0 13 16"
-   id="svg2"
+   inkscape:version="1.0 (4035a4fb49, 2020-05-01)"
+   sodipodi:docname="Charity-142.svg"
    version="1.1"
-   inkscape:version="0.92.2 (5c3e80d, 2017-08-06)"
-   sodipodi:docname="15.svg">
+   width="14"
+   height="14"
+   viewBox="0 0 14 14"
+   id="svg2">
+  <sodipodi:namedview
+     inkscape:current-layer="svg2"
+     inkscape:window-maximized="1"
+     inkscape:window-y="-8"
+     inkscape:window-x="-8"
+     inkscape:cy="4.053129"
+     inkscape:cx="8.042821"
+     inkscape:zoom="28.622402"
+     showgrid="true"
+     id="namedview7"
+     inkscape:window-height="987"
+     inkscape:window-width="1680"
+     inkscape:pageshadow="2"
+     inkscape:pageopacity="0"
+     guidetolerance="10"
+     gridtolerance="10"
+     objecttolerance="10"
+     borderopacity="1"
+     bordercolor="#666666"
+     pagecolor="#ffffff">
+    <inkscape:grid
+       id="grid832"
+       type="xygrid" />
+  </sodipodi:namedview>
   <defs
-     id="defs4" />
-  <sodipodi:namedview
-     id="base"
-     pagecolor="#ffffff"
-     bordercolor="#666666"
-     borderopacity="1.0"
-     inkscape:pageopacity="0.0"
-     inkscape:pageshadow="2"
-     inkscape:zoom="48.59375"
-     inkscape:cx="5.9950373"
-     inkscape:cy="7.0314104"
-     inkscape:document-units="px"
-     inkscape:current-layer="layer1"
-     showgrid="true"
-     units="px"
-     inkscape:window-width="1372"
-     inkscape:window-height="978"
-     inkscape:window-x="299"
-     inkscape:window-y="0"
-     inkscape:window-maximized="0"
-     viewbox-height="16">
-    <inkscape:grid
-       type="xygrid"
-       id="grid4136"
-       originx="0"
-       originy="0"
-       spacingx="1"
-       spacingy="1" />
-  </sodipodi:namedview>
+     id="defs3053" />
   <metadata
-     id="metadata7">
+     id="metadata8">
     <rdf:RDF>
       <cc:Work
@@ -56,117 +50,24 @@
            rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
         <dc:title></dc:title>
-        <cc:license
-           rdf:resource="http://creativecommons.org/publicdomain/zero/1.0/" />
       </cc:Work>
-      <cc:License
-         rdf:about="http://creativecommons.org/publicdomain/zero/1.0/">
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#Reproduction" />
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#Distribution" />
-        <cc:permits
-           rdf:resource="http://creativecommons.org/ns#DerivativeWorks" />
-      </cc:License>
     </rdf:RDF>
   </metadata>
-  <g
-     inkscape:label="Layer 1"
-     inkscape:groupmode="layer"
-     id="layer1"
-     transform="translate(0,-1037.3622)">
-    <path
-       style="opacity:1;fill:#ac39ac;fill-opacity:1;stroke:none;stroke-width:0.70076954;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-       d="M 5.0625 0 C 3.6987736 0 2.5996094 1.0972111 2.5996094 2.4609375 L 2.5996094 4.921875 C 2.5996094 6.2856014 3.6987736 7.3847656 5.0625 7.3847656 L 7.9375 7.3847656 C 9.3012264 7.3847656 10.400391 6.2856014 10.400391 4.921875 L 10.400391 2.4609375 C 10.400391 1.0972111 9.3012264 0 7.9375 0 L 5.0625 0 z M 5.1308594 1.2304688 L 7.8691406 1.2304688 C 8.5510157 1.2304688 9.0996094 1.7790625 9.0996094 2.4609375 L 9.0996094 3.6914062 C 9.0996094 4.3732813 8.5510157 4.9238281 7.8691406 4.9238281 L 5.1308594 4.9238281 C 4.4489843 4.9238281 3.9003906 4.3732813 3.9003906 3.6914062 L 3.9003906 2.4609375 C 3.9003906 1.7790625 4.4489843 1.2304688 5.1308594 1.2304688 z "
-       id="rect818"
-       transform="translate(0,1037.3622)" />
-    <rect
-       style="opacity:1;fill:#ac39ac;fill-opacity:1;stroke:none;stroke-width:0.70076954;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1"
-       id="rect816"
-       width="13"
-       height="12.308022"
-       x="0"
-       y="1041.0542"
-       ry="1.3080008"
-       rx="0" />
-    <g
-       id="g846"
-       transform="matrix(1.3526755,0,0,1.3029527,21.455122,-319.62218)">
-      <ellipse
-         ry="1.9999826"
-         rx="2"
-         cx="-11"
-         cy="1047.3622"
-         id="path824"
-         style="opacity:1;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:0.55400002;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <circle
-         r="1.5350482"
-         cy="1047.8972"
-         cx="-11.464952"
-         id="path822"
-         style="opacity:1;fill:#ac39ac;fill-opacity:1;stroke:none;stroke-width:0.85041672;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <path
-         d="m -10,1047.8622 a 1.5,1.5 0 0 1 -0.03259,0.311"
-         sodipodi:open="true"
-         sodipodi:end="0.20883039"
-         sodipodi:start="0"
-         sodipodi:ry="1.5"
-         sodipodi:rx="1.5"
-         sodipodi:cy="1047.8622"
-         sodipodi:cx="-11.5"
-         sodipodi:type="arc"
-         id="path826"
-         style="opacity:1;fill:#ff0000;fill-opacity:1;stroke:none;stroke-width:0.55400002;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <path
-         inkscape:connector-curvature="0"
-         id="path839"
-         d="m -12,1049.3622 h 2 l 1,-1 h -2 z"
-         style="fill:#ac39ac;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-      <path
-         sodipodi:nodetypes="cccc"
-         inkscape:connector-curvature="0"
-         id="path834"
-         d="m -11,1047.3622 h 3 l -1.5,2 z"
-         style="fill:#ffffff;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-    </g>
-    <g
-       id="g846-6"
-       transform="matrix(-1.3526755,0,0,-1.3029527,-8.4004468,2414.3698)">
-      <ellipse
-         ry="1.9999826"
-         rx="2"
-         cx="-11"
-         cy="1047.3622"
-         id="path824-9"
-         style="opacity:1;fill:#ffffff;fill-opacity:1;stroke:none;stroke-width:0.55400002;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <circle
-         r="1.5350482"
-         cy="1047.8972"
-         cx="-11.464952"
-         id="path822-7"
-         style="opacity:1;fill:#ac39ac;fill-opacity:1;stroke:none;stroke-width:0.85041672;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <path
-         d="m -10,1047.8622 a 1.5,1.5 0 0 1 -0.03259,0.311"
-         sodipodi:open="true"
-         sodipodi:end="0.20883039"
-         sodipodi:start="0"
-         sodipodi:ry="1.5"
-         sodipodi:rx="1.5"
-         sodipodi:cy="1047.8622"
-         sodipodi:cx="-11.5"
-         sodipodi:type="arc"
-         id="path826-3"
-         style="opacity:1;fill:#ff0000;fill-opacity:1;stroke:none;stroke-width:0.55400002;stroke-linecap:round;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
-      <path
-         inkscape:connector-curvature="0"
-         id="path839-7"
-         d="m -12,1049.3622 h 2 l 1,-1 h -2 z"
-         style="fill:#ac39ac;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-      <path
-         sodipodi:nodetypes="cccc"
-         inkscape:connector-curvature="0"
-         id="path834-8"
-         d="m -11,1047.3622 h 3 l -1.5,2 z"
-         style="fill:#ffffff;stroke:none;stroke-width:1px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1" />
-    </g>
-  </g>
+  <rect
+     y="5"
+     x="2"
+     height="8"
+     width="10"
+     id="rect834"
+     style="fill:#ffffff;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-dashoffset:1.08" />
+  <rect
+     width="14"
+     height="14"
+     x="0"
+     y="0"
+     id="canvas"
+     style="fill:none;stroke:none;visibility:hidden" />
+  <path
+     style="fill:#ac39ac;fill-opacity:1;stroke:none"
+     d="M 5 0 C 4 0 4 0 4 1 L 4.0097656 4 L 1 4 L 1 13 C 1 14 1 14 2 14 L 12 14 C 13 14 13 14 13 13 L 13 4 L 10.039062 4 L 10 1 C 10 0 10 0 9 0 L 5 0 z M 5 1 L 9 1 L 9 4 L 5 4 L 5 1 z M 5.1777344 5.4980469 C 5.6948144 5.4951869 5.8032568 5.5555569 6.1074219 5.7226562 C 6.4776429 5.9260446 6.8587292 6.6814598 6.9375 6.9902344 L 6.9863281 7.1816406 L 7.1054688 6.9179688 C 7.8374226 5.3155896 9.9453218 4.8690109 10.701172 6.6347656 C 10.910591 7.1239934 10.967755 8.1253493 10.755859 8.6972656 C 10.479448 9.4433093 9.9599004 10.013184 8.7597656 10.884766 C 7.9726964 11.456366 7.0815411 12.319938 7.0195312 12.441406 C 6.9475482 12.582409 7.0151826 12.463679 6.6972656 12.107422 C 6.5296439 11.919585 6.1115092 11.554652 5.7675781 11.294922 C 4.7485372 10.525363 4.6110174 10.414187 4.1972656 10.033203 C 3.4344883 9.3308342 3.110218 8.624774 3.1113281 7.6679688 C 3.1118698 7.2008944 3.1426367 7.02141 3.2734375 6.7460938 C 3.4953509 6.2789969 3.8223062 5.9310322 4.2402344 5.71875 C 4.5362383 5.5683985 4.6834278 5.5007797 5.1777344 5.4980469 z "
+     id="variety_store" />
 </svg>
Index: trunk/resources/images/presets/shop/second_hand.svg
===================================================================
--- trunk/resources/images/presets/shop/second_hand.svg	(revision 16930)
+++ trunk/resources/images/presets/shop/second_hand.svg	(revision 16930)
@@ -0,0 +1,77 @@
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<svg
+   xmlns:dc="http://purl.org/dc/elements/1.1/"
+   xmlns:cc="http://creativecommons.org/ns#"
+   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
+   xmlns:svg="http://www.w3.org/2000/svg"
+   xmlns="http://www.w3.org/2000/svg"
+   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
+   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
+   inkscape:version="1.0 (4035a4fb49, 2020-05-01)"
+   sodipodi:docname="Second_hand-142.svg"
+   version="1.1"
+   width="14"
+   height="14"
+   viewBox="0 0 14 14"
+   id="svg2">
+  <sodipodi:namedview
+     inkscape:current-layer="svg2"
+     inkscape:window-maximized="1"
+     inkscape:window-y="-8"
+     inkscape:window-x="-8"
+     inkscape:cy="8.2912241"
+     inkscape:cx="7.773616"
+     inkscape:zoom="40.478189"
+     showgrid="true"
+     id="namedview8"
+     inkscape:window-height="987"
+     inkscape:window-width="1680"
+     inkscape:pageshadow="2"
+     inkscape:pageopacity="0"
+     guidetolerance="10"
+     gridtolerance="10"
+     objecttolerance="10"
+     borderopacity="1"
+     bordercolor="#666666"
+     pagecolor="#ffffff">
+    <inkscape:grid
+       id="grid833"
+       type="xygrid" />
+  </sodipodi:namedview>
+  <defs
+     id="defs3053" />
+  <metadata
+     id="metadata8">
+    <rdf:RDF>
+      <cc:Work
+         rdf:about="">
+        <dc:format>image/svg+xml</dc:format>
+        <dc:type
+           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
+        <dc:title></dc:title>
+      </cc:Work>
+    </rdf:RDF>
+  </metadata>
+  <rect
+     y="5"
+     x="2"
+     height="9"
+     width="10"
+     id="rect835"
+     style="fill:#ffffff;stroke-width:2;stroke-linecap:round;stroke-linejoin:round;stroke-dashoffset:1.08" />
+  <rect
+     width="14"
+     height="14"
+     x="0"
+     y="0"
+     id="canvas"
+     style="fill:none;stroke:none;visibility:hidden" />
+  <path
+     style="fill:#ac39ac"
+     d="M 5 0 C 4 0 4 0 4 1 L 4.0097656 4 L 1 4 L 1 13 C 1 14 1 14 2 14 L 12 14 C 13 14 13 14 13 13 L 13 4 L 10.039062 4 L 10 1 C 10 0 10 0 9 0 L 5 0 z M 5 1 L 9 1 L 9 4 L 5 4 L 5 1 z M 7.5058594 5 L 7.7089844 5.0371094 C 9.127416 5.2898435 10.312583 6.2814255 10.802734 7.6289062 C 10.92386 7.9618667 10.997929 8.3050881 11.027344 8.6464844 C 11.10874 9.5911796 10.79949 10.505123 10.261719 11.275391 L 10.628906 11.275391 C 10.896171 11.275879 11.117833 11.495542 11.117188 11.761719 L 11.115234 12.134766 C 11.114596 12.400627 10.894277 12.619637 10.626953 12.619141 L 8.2871094 12.615234 C 8.1229556 12.614907 7.985863 12.478206 7.9863281 12.314453 L 7.9902344 9.9863281 C 7.9907095 9.7203155 8.2131374 9.5014573 8.4804688 9.5019531 L 8.8554688 9.5039062 C 9.1227401 9.5043956 9.3422952 9.7241955 9.3417969 9.9902344 L 9.3417969 10.115234 C 9.6441071 9.4824952 9.7864932 8.7764922 9.5351562 8.0859375 C 9.2090275 7.1890315 8.4157004 6.5277685 7.4707031 6.359375 L 7.2675781 6.3242188 L 7.5058594 5 z M 3.3730469 5.3808594 L 5.7128906 5.3867188 C 5.8768459 5.3871794 6.0140065 5.522003 6.0136719 5.6855469 L 6.0078125 8.0136719 C 6.0073128 8.2796454 5.7867778 8.5003236 5.5195312 8.5 L 5.1445312 8.4980469 C 4.8772592 8.4975502 4.6598241 8.2775935 4.6601562 8.0117188 L 4.6582031 7.8828125 C 4.3544146 8.5162943 4.2131087 9.2202828 4.4648438 9.9121094 C 4.7911367 10.80884 5.5824543 11.474181 6.5273438 11.642578 L 6.7324219 11.677734 L 6.4941406 13 L 6.2890625 12.962891 C 4.8704482 12.71008 3.687413 11.716612 3.1972656 10.369141 C 2.7403868 9.112724 3.0285796 7.7766811 3.7636719 6.7265625 L 3.3691406 6.7265625 C 3.101876 6.7260652 2.8823236 6.5062597 2.8828125 6.2402344 L 2.8828125 5.8671875 C 2.8834574 5.6013473 3.1058056 5.3805353 3.3730469 5.3808594 z "
+     id="variety_store" />
+  <g
+     transform="matrix(-0.09028729,-1.0478869,1.0529738,-0.08985112,-48.182422,73.378083)"
+     id="g14-2"
+     style="stroke:#ffffff;stroke-width:0.39158532;stroke-linecap:square;stroke-linejoin:miter;stroke-miterlimit:4;stroke-dasharray:none;stroke-opacity:1" />
+</svg>